> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofiniti.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all contracts available for your company

> Retrieves a list of all contracts available for your company



## OpenAPI

````yaml /specs/fuelboss/fuelboss-api.json get /v1/contracts
openapi: 3.1.1
info:
  title: FuelBoss API
  description: >-
    REST API providing a powerful and easy way to manage your companies
    nominations and operations.
  termsOfService: https://www.ofiniti.com/legal/platform-service-terms
  contact:
    name: Support Team
    email: itops@ofiniti.com
  version: 1.15.1
servers:
  - url: https://api.demo.fuelboss.net
    description: Demo (sandbox for testing and integration development)
  - url: https://api.fuelboss.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Nominations
  - name: Entity management
  - name: Operations
  - name: Common
  - name: Webhooks
  - name: Webhook events
paths:
  /v1/contracts:
    get:
      tags:
        - Entity management
      summary: Retrieves all contracts available for your company
      description: Retrieves a list of all contracts available for your company
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FuelBoss.Api.Contracts.Api.Contract.Contract
                  description: >-
                    A fuel supply contract belonging to your company. Contracts
                    can be referenced from

                    nominations via `contractReference`.
        '401':
          description: Unauthorized
components:
  schemas:
    FuelBoss.Api.Contracts.Api.Contract.Contract:
      type: object
      properties:
        reference:
          type: string
          description: >-
            Unique reference for the contract, used as `contractReference` on
            nominations.
        name:
          type: string
          description: Contract name.
        externalReference:
          type:
            - 'null'
            - string
          description: External reference for the contract in your own systems.
        type:
          enum:
            - term
            - spot
          type:
            - 'null'
            - string
          description: |-
            Contract type.

            Possible values:

            - `term` — Term contract.
            - `spot` — Spot contract.
        supplierEntities:
          type: array
          items:
            type: string
          description: >-
            Company entity references of the supplier entities covered by the
            contract (from [Get Company
            Entities](/api-reference/entity-management/retrieves-all-entities-available-for-your-company)).
        ports:
          type: array
          items:
            type: string
          description: UN/LOCODEs of the ports covered by the contract.
        counterpartCompanies:
          type: array
          items:
            type: string
          description: >-
            Identifiers of the counterpart companies covered by the contract
            (from [Get
            Companies](/api-reference/common/retrieves-all-companies-available)).
        counterpartEntities:
          type: array
          items:
            type: string
          description: >-
            References of the counterpart entities covered by the contract (from
            [Get Counterpart
            Entities](/api-reference/entity-management/retrieves-all-counterpart-entities-available-for-your-company)).
        priceType:
          enum:
            - floating
            - fixed
          type:
            - 'null'
            - string
          description: |-
            Price type.

            Possible values:

            - `floating` — Floating price.
            - `fixed` — Fixed price.
        startDateUtc:
          type:
            - 'null'
            - string
          description: Start of the contract validity period (UTC).
          format: date-time
        endDateUtc:
          type:
            - 'null'
            - string
          description: End of the contract validity period (UTC).
          format: date-time
      additionalProperties: false
      description: >-
        A fuel supply contract belonging to your company. Contracts can be
        referenced from

        nominations via `contractReference`.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Access token obtained from the /oauth/token endpoint using your client
        credentials.
      scheme: bearer
      bearerFormat: JWT

````